# Generated by Django 3.0.7 on 2020-10-16 04:03

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CollegeModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_matkul', models.CharField(max_length=30)),
                ('nama_dosen', models.CharField(max_length=100)),
                ('jumlah_sks', models.CharField(choices=[('satusks', '1 SKS'), ('duasks', '2 SKS'), ('tigasks', '3 SKS'), ('empatsks', '4 SKS')], default='satusks', max_length=10)),
                ('deskripsi_matkul', models.TextField()),
                ('semester', models.CharField(choices=[('gasal2017', 'Gasal - 2017/2018'), ('genap2017', 'Genap - 2017/2018'), ('gasal2018', 'Gasal - 2018/2019'), ('genap2018', 'Genap - 2018/2019'), ('gasal2019', 'Gasal - 2019/2020'), ('genap2019', 'Genap - 2019/2020'), ('gasal2020', 'Gasal - 2020/2021'), ('genap2020', 'Genap - 2020/2021')], default='gasal2020', max_length=10)),
                ('ruang_kelas', models.CharField(max_length=4)),
            ],
        ),
    ]
